*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
/*=============Header=============*/
.Header{
  position: sticky;
  top: 0;
  min-height: 80px;
  padding-right: 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  overflow: hidden;
  background-color: teal;

}
.nav-brand{
  padding-left: 20px;
  color: black;
  text-shadow: #f04040;
}
.header-links{
  display: flex;
}
.header-links ul li{
  list-style: none;
  display: inline-block;
  font-size: 18px;
}
.header-links ul li a{
  text-decoration: none;
  text-transform: uppercase;
  padding: 0px 15px;
  color: black;
}
.header-links ul li a:hover{
  color: white;
}
/*=============End of Header=============*/
/*=============Home=============*/
.main-container{
  min-height: 89.3vh;
  background-image: url("/public/images/background.jpg");
  background-color: #e8a87c ;
  background-position: left;
  background-repeat: no-repeat;
  background-size: 80%;
  
}
.name{
  text-align: center;
  font-size: 60px;
  padding-top: 100px;
  font-weight: 800;
  color: rgb(14, 51, 198);
  font-family: 'Poppins', sans-serif;
}
.subtitle{
  text-align: center;
  font-size: 30px;
}
.tagline{
  text-align: center;
  font-size: 30px;
  padding-top: 10px;
  color: rgb(14, 51, 198);
  font-family: 'Kaushan Script', cursive;
}
.home-button{
  border: none;
  background-color: rgba(11, 67, 198, 0.76);
  height: 30px;
  width: 250px;
  border-radius: 15px;
  font-size: 15px;
  font-weight: 700;
  color: white;
}
.home-product-view{
  display: flex;
  justify-content: center;
  padding-top: 10px;
  padding-top: 20px;
}
/*=============End of Home=============*/

/*=============Product=============*/
.products{
  margin: 10px auto;
  width: 80%;
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
  border-radius: 5px;
}
.product-card{
  width: 300px;
  height: 500px;
  border: 1px solid black;
  border-radius: 5px;
  overflow: hidden;
  padding: 10px;
  margin: 40px 20px;
  background-color: #e8a87c;
}

.product-img{
  width: 100%;
  max-width: 300px;
  min-height: 100px;
  display: block;
  object-fit: cover;
}
.product-name{
  margin-top: 10px;
}
.product-des{
  font-size: 19px;
}
.product-price{
  padding-bottom: 3px;
  font-size: 19px;
  line-height: 30px;
}
.add-to-cart-button{
  font-weight: 700;
  font-size: 18px;
  border-radius: 5px;
  border: none;
  outline: none;
  background-color: black;
  color: white;
  width: 100%;
  height: 40px;
  display: block;
  cursor: pointer;
  text-transform: uppercase;
  margin: 5px auto;
}
.add-to-cart-button:hover{
  background-color: #006366;
}
/*=============End of Product=============*/
/*=============Cart=============*/
.cart-items{
  margin: 10px auto;
  width: 80%;
  background-color: #e8a87c;
  border: 2px solid black;
  border-radius: 5px;
}
.cart-items-header{
  display: flex;
  font-size: 20px;
  justify-content: space-around;
  align-items: center;
  border-bottom: 2px solid black;
}
.empty-cart{
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 18px;
  font-weight: 700;
  padding-top: 20px;
  padding-bottom: 20px;

}
.cart-items-image{
  width: 100px;
  height: auto;
}
button.badge {
  background-color: #f04040;
  border: none;
  color: #ffffff;
  width: 15px;
}
.cart-items-list{
  display: flex;
  align-items: center;
  padding-left: 20px;
  padding-top: 20px;
  padding-bottom: 20px;
  font-size: 15px;
  font-weight: 700;
  margin-left: 5px;
}
.cart-items-name,
.cart-items-qty,
.cart-items-price{
  width: 25%;
}
.cart-items-name{
  padding-left: 10px;
}
.add, .remove{
  width: 30px;
  margin-right: 15px;
  font-weight: 700;
  border: 1px solid black;
  border-radius: 3px;
  font-size: 18px;
  cursor: pointer;
}
.add{
  background-color: green;
}
.remove{
  background-color: red;
}
.items-price, 
.shipping-price,
.tax-price, 
.total-price{
  display: flex;
  padding-left: 50px;
  padding-top: 5px;
  padding-bottom: 5px;
} 
.price-parameter{
  width: 55%; 
}
.total-price{
  border-top: 3px solid black;
  border-bottom: 3px solid black ;
  font-size: 20px;
}
.clear-cart-button{
  border-radius: 3px;
  border: none;
  width: 100px;
  height: 30px;
  background-color: rgb(97, 48, 48);
  color: white;
  padding: 5px;
  cursor: pointer;
  font-size: 15px;
}
.clear-cart-button:hover{
  background-color: red;
}
.clear-cart{
  padding: 10px;
}
.checkout-button{
  border-radius: 5px;
  border: none;
  width: 200px;
  height: 30px;
  background-color: rgba(11, 67, 198, 0.76);
  color: white;
  margin: 10px;
  font-size: 16px;
  cursor: pointer;
}
.cart-checkout{
  display: flex;
  justify-content: flex-end;
}

/*=============End of Cart=============*/
/*=============Random=============*/


.login-to-buy{
  font-weight: 700;
  font-size: 18px;
  border-radius: 5px;
  border: none;
  outline: none;
  background-color: black;
  color: white;
  width: 100%;
  height: 40px;
  display: block;
  cursor: pointer;
  text-transform: uppercase;
  margin: 5px auto;
  text-decoration: none;
}
/*=============Log In=============*/
.loginForm{
	margin: 0 auto;
	width: 70%;
	justify-content: center;
	align-items: center;
	background-color: #e8a87c ;
	margin-top: 30px;
	height: 60vh;
	font-size: 20px;
	font-weight: 700;
	padding: 3%;
	font-family: 'Poppins', sans-seri ;
	border-radius: 40px;		
}
.login-title{
  text-align: center;
  padding-bottom: 10px;
}
.login-email{
  padding-right: 20px;
}
.login-password{
  padding-right: 60px;
}
.login-button{
  width: 50%;
  height: 30px;
  background-color: teal;
  color: white;
  font-weight: 700;
  letter-spacing: 3px;
  border-radius: 10px;
  text-transform: uppercase; 
}
/*=============End of Log In=============*/
/*=============Sign In=============*/
.signinForm{
	margin: 0 auto;
	width: 70%;
	background-color: #e8a87c ;
	margin-top: 30px;
	height: 70vh;
	font-size: 20px;
	font-weight: 700;
	padding: 3%;
	font-family: 'Poppins', sans-seri ;
	border-radius: 40px; 
}
.signin-title{
  text-align: center;
  padding-bottom: 20px;
}
.signin-password{
  padding-right: 30px;
  padding-top: 50px;
}
.signin-button{
  width: 50%;
  height: 30px;
  background-color: teal;
  color: white;
  font-weight: 700;
  letter-spacing: 3px;
  border-radius: 10px;
}
.sigin-email,
.signin-password,
.sigin-vpassword{
  width: 25%;
}

@media(max-width:1415px){
  .name{
    padding-top: 200px;
  }
}
@media(max-width:913px){
  .main-container{
    background-image: none;
  }
}
@media(max-width:499px){
  .name{
    padding-top: 100px;
  }
}
@media(min-width:610px){
  .signinForm,
  .loginForm{
    width: 30%;
  }
}







